
@mastersthesis{cite:magman,
    author = {Filip Richter},
    title = {Rozšíření platformy pro magnetickou manipulaci},
    school = {Czech Technical University in Prague},
    address = {Katedra řídicí techniky - K13135, Karlovo náměstí 13, 121 35 Praha 2},
    month = may,
    year = 2017
}

@phdthesis{cite:parallelManipulation,
    author       = {{Zemánek Jiří}},
    title        = {Distributed manipulation by controlling force fields through arrays of actuators},
    school       = {Czech Technical University in Prague.},
    year         = 2018,
    address = {Katedra řídicí techniky - K13135, Karlovo náměstí 13, 121 35 Praha 2},
    month        = 5,
}

@misc{cite:gps,
    author = {{National Coordination Office for Space-Based Positioning, Navigation, and Timing}},
    title = {GPS.gov: GPS Accuracy},
    howpublished = {\url{https://www.gps.gov/systems/gps/performance/accuracy/}},
    note = "[Online; published 15-Dec-2017]",
    year = 2017
}

@INPROCEEDINGS{cite:3Dprintedmagnet, 
    author={M. {Ortner} and C. {Huber} and N. {Vollert} and J. {Pilz} and D. {Süss}}, 
    booktitle={2017 IEEE SENSORS}, 
    title={Application of 3D-printed magnets for magnetic position detection systems}, 
    year={2017}, 
    volume={}, 
    number={}, 
    pages={1-3}, 
    keywords={magnetic field measurement;magnetic sensors;magnetisation;permanent magnets;position measurement;three-dimensional printing;magnetic position detection systems;orientation detection systems;complex permanent magnet structures;improved 1D linear position scheme;inhomogeneous magnetization;magnetic field detection;3D-printed magnet application;Magnetic fields;Magnetization;Magnetosphere;Saturation magnetization;Optimization;Compounds;Magnetic field measurement;magnetic position detection;magnetic field shaping;3D printing of magnets}, 
    doi={10.1109/ICSENS.2017.8233930}, 
    ISSN={}, 
    month={Oct},
}

@article{cite:ultraHighFrequencyMicrostrip,
    author = {Jeong, Min-Gyo and Seo, Dong-Geun and Ahn, Seong-Hyeop and Lee, Wang-Sang},
    title = {A miniaturized ultra-high frequency microstrip traveling wave antenna Array for cm-level two-dimensional identification and position detection systems},
    journal = {Microwave and Optical Technology Letters},
    volume = {61},
    number = {2},
    pages = {449-453},
    keywords = {2D; antenna array; ID and position detection; miniaturized; systems; UHF RFID},
    doi = {10.1002/mop.31551},
    url = {https://onlinelibrary.wiley.com/doi/abs/10.1002/mop.31551},
    eprint = {https://onlinelibrary.wiley.com/doi/pdf/10.1002/mop.31551},
    abstract = {Abstract In this article, a miniaturized ultra-high frequency (UHF) microstrip traveling wave antenna (TWA) array for cm-level 2D identification (ID) and position detection systems is proposed. The proposed miniaturized TWA array with nine reading zones for ID and position detection systems has been reduced in size by utilizing LC-baluns and a microstrip TWA array. It covers the authorized universal UHF radio frequency ID band (840-960 MHz), has low insertion loss (0.8 dB), and high isolations between TWAs are ≤30 dB. The sensing precision of the proposed TWA array is approximately 1.5 cm and its physical size is 95 × 95 mm2 (~1/4 λ0 at 915 MHz).},
    year = {2019}
}

@ARTICLE{cite:ohm, 
    author={L. A. {Geddes} and L. E. {Geddes}}, 
    journal={IEEE Engineering in Medicine and Biology Magazine}, 
    title={How did Georg Simon Ohm do it? [Ohm's law]}, 
    year={1998}, 
    volume={17}, 
    number={3}, 
    pages={107-109}, 
    keywords={history;electricity;biographies;Georg Simon Ohm;Ohm's law;calibrated indicators;electric current;volt;amp;1881 International Electrical Congress;Oersted;magnetic field;electrochemical cell;Volta;thermoelectric effect;Seebeck;Wire;Conductors;Needles;Current;Batteries;Animals;Galvanizing;Sparks;Humans;Electric shock;Denmark;Electric Conductivity;Electricity;Germany;History, 18th Century;History, 19th Century;Portraits as Topic}, 
    doi={10.1109/51.677178}, 
    ISSN={0739-5175}, 
    month={May},
}

@INPROCEEDINGS{cite:shannon,
    author={V. V. {Zamaruiev}}, 
    booktitle={2017 IEEE First Ukraine Conference on Electrical and Computer Engineering (UKRCON)}, 
    title={The use of Kotelnikov-Nyquist-Shannon sampling theorem for designing of digital control system for a power converter}, 
    year={2017}, 
    volume={}, 
    number={}, 
    pages={522-527}, 
    keywords={active filters;digital control;information theory;invertors;power convertors;signal reconstruction;signal sampling;digital control system design;Kotelnikov-Nyquist-Shannon sampling theorem;inverters;active filters;boundary conditions;electric power converter;Harmonic analysis;Discrete Fourier transforms;Power harmonic filters;Active filters;Digital control;Conferences;digital control system;power converter;Kotelnikov;Nyquist;Shannon;sampling theorem;critical frequency}, 
    doi={10.1109/UKRCON.2017.8100305}, 
    ISSN={}, 
    month={May},
}

@manual{cite:max116,
    organization  = "Maxim Integrated",
    title         = "MAX11618-MAX11625",
    number        = "MAX11625",
    year          =  2011,
    month         =  9,    
    note          = "Rev. 1"
}

@manual{cite:mcp23,
    organization  = "Microchip Technology Inc.",
    title         = "MCP23009/MCP23S09",
    number        = "MCP23S09",
    year          =  2014,
    month         =  8,
    note          = "Rev. C"
}

@manual{cite:pic32,
    organization  = "Microchip Technology Inc.",
    title         = "PIC32MZ Embedded Connectivity with Floating Point Unit (EF) Family",
    number        = "PIC32MZ2048EFH144",
    year          =  2018,
    month         =  6,
    note          = "Rev. E"
}

@manual{cite:pic32daughter,
    organization  = "MikroElektronika d.o.o.",
    title         = "EasyPIC FUSION v7 ETH MCUcard with PIC32MZ2048EFH144",
    number        = "MIKROE-2714"
}

@manual{cite:lan8720a,
    organization  = "Microchip Technology Inc.",
    title         = "Small Footprint RMII 10/100 Ethernet Transceiver with HP Auto-MDIX Support",
    number        = "LAN8720A",
    year          =  2016,
    month         =  5,
    note          = "Rev. B"
}

@misc{cite:maximDaisyChain,
    author = {{Maxim Integrated Products, Inc.}},
    title = {Daisy-Chaining SPI Devices},
    howpublished = {\url{https://www.maximintegrated.com/en/app-notes/index.mvp/id/3947}},
    note = "[Online; published 15-Dec-2006]",
    year = 2006
}

@misc{cite:solid,
    author = {{Robert C. Martin}},
    title = {Principles of OOD},
}

@manual{cite:kp1608f3c,
    organization  = "Kingbringht",
    title         = "1.6X0.8mm INFRARED EMITTING DIODE",
    number        = "KP-1608F3C",
    year          =  2016,
    month         =  2,
    note          = "Rev. 17A"
}

@manual{cite:kp1608p1c,
    organization  = "Kingbringht",
    title         = "1.6X0.8mm PHOTOTRANSISTOR",
    number        = "KP-1608P1C",
    year          =  2014,
    month         =  11,
    note          = "Rev. 10"
}

@manual{cite:nx3008nbks,
    organization  = "Nexperia B.V.",
    title         = "30 V, 350 mA dual N-channel Trench MOSFET",
    number        = "NX3008NBKS",
    year          =  2011,
    month         =  8,
    note          = "Rev. 1"
}

@misc{cite:mplabC,
    author = {{Microchip Technology Inc.}},
    title = {MPLAB® XC Compiler},
    howpublished = {\url{https://www.microchip.com/mplab/compilers}},
    note = "[Online]",
    year = 2019
}

@misc{cite:mplabX,
    author = {{Microchip Technology Inc.}},
    title = {MPLAB® X Integrated Development Environment (IDE)},
    howpublished = {\url{https://www.microchip.com/mplab/mplab-x-ide}},
    note = "[Online]",
    year = 2019
}

@misc{cite:netbeans,
    author = {{Apache NetBeans}},
    title = {Apache NetBeans},
    howpublished = {\url{https://netbeans.org/}},
    note = "[Online]",
    year = 2019
}

@misc{cite:mplabHarmony,
    author = {{Microchip Technology Inc.}},
    title = {MPLAB® Harmony - Integrated Embedded Software Development Framework},
    howpublished = {\url{https://www.microchip.com/mplab/mplab-harmony}},
    note = "[Online]",
    year = 2019
}

@misc{cite:fyne,
    author = {{Fyne developers}},
    title = {Cross platform GUI in Go based on Material Design},
    howpublished = {\url{https://github.com/fyne-io/fyne}},
    note = "[Online]",
    year = 2019
}

@misc{cite:numpy,
    author = {{NumPy developers}},
    title = {NumPy},
    howpublished = {\url{https://www.numpy.org/}},
    note = "[Online]",
    year = 2019
}

@article{cite:multiOutputRegression,
    author = {Borchani, Hanen and Varando, Gherardo and Bielza, Concha and Larra\~{n}aga, Pedro},
    title = {A Survey on Multi-output Regression},
    journal = {Wiley Int. Rev. Data Min. and Knowl. Disc.},
    issue_date = {September 2015},
    volume = {5},
    number = {5},
    month = sep,
    year = {2015},
    issn = {1942-4787},
    pages = {216--233},
    numpages = {18},
    url = {http://dx.doi.org/10.1002/widm.1157},
    doi = {10.1002/widm.1157},
    acmid = {2816574},
    publisher = {John Wiley \& Sons, Inc.},
    address = {New York, NY, USA},
}

@misc{cite:scikit,
    author = {{scikit-learn developers}},
    title = {scikit-learn - Machine Learning in Python},
    howpublished = {\url{https://scikit-learn.org/}},
    note = "[Online]",
    year = 2019
}

@phdthesis{cite:phdThesis,
    title = "Position Detection Based on Intensities of Reflected Infrared Light",
    abstract = "This thesis focuses on development of methods for using infrared sensors for position detection. There exist various methods where optical sensors are used to give position estimates, many utilizing multiple cameras. The overall approach in this thesis is to base a position detection sensor system on inputs from an array of infrared emitters and receivers. The signals from the emitters are reflected by an object and captured by the receivers. The attenuation from each emitter via the object to the receivers obviously depends on position, geometrical, and optical properties of the object. The main challenge of this work is to reconstruct the object position based on knowledge of the emitted and received signals. Methods for reconstructing the object position has been developed for both 3D space and 2D space. The method for position reconstruction in 3D space is based on a 3D Reflection Map Model. The 3D Reflection Map Model is developed to model the intensities of light reflected by a spherical object. The 3D object position is reconstructed by searching the parameter space of the 3D Reflection Map Model. The position reconstruction for the 2D space is based on simple calculations on the direct measurements of reflected light intensities, and includes easy calibration. The method for reconstructing 3D positions has been implemented in a prototype of a “non-Touch Screen” for a computer, so that the user can control a cursor in three dimensions by moving his/hers hand in front of the computer screen. The 2D position reconstruction method is mplemented in a prototype of a human-machine interface (HMI) for an electrically powered wheelchair, such that the wheelchair user can control the movement of the wheelchair by head movements. Both “non-Touch Screen” prototype and wheelchair HMI has been tested with success. Furthermore some investigation in using similar array of infrared emitters and receivers for a navigation sensor for a mobile robot has been made. Promising results with this approach has been obtained for modeled light reflections.",
    author = "Christensen, Henrik Vie",
    year = "2006",
    language = "English",
    isbn = "8790664302",
    publisher = "Department of Control Engineering, Aalborg University",
}

@misc{cite:nasaLightIntensity,
    author = {{The NASA Imagine Team}},
    title = {More on Brightness as a Function of Distance},
    howpublished = {\url{https://imagine.gsfc.nasa.gov/features/yba/M31_velocity/lightcurve/more.html}},
    note = "[Online; published 05-May-2016]",
    year = 2016
}

@misc{cite:pvtrace,
    author = {Daniel J Farrel},
    title = {Optical ray tracing for luminescent materials and spectral converter photovoltaic devices},
    howpublished = {\url{https://github.com/danieljfarrell/pvtrace}},
    note = "[Online]",
    year = 2006
}

@misc{cite:overdetermined,
    author = {{Guido Gerig, PhD}},
    title = {{Least Squares, Pseudo-Inverses, PCA and SVD}},
    howpublished = {\url{http://www.sci.utah.edu/~gerig/CS6640-F2012/Materials/pseudoinverse-cis61009sl10.pdf}},
    note = "[Online]",
    year = 2012
}

@INPROCEEDINGS{cite:lightArray, 
    author={K. {Ohtani} and M. {Baba}}, 
    booktitle={2005 IEEE Instrumentationand Measurement Technology Conference Proceedings}, 
    title={A Smart Optical Position Sensor with Genetic Programming Technique}, 
    year={2005}, 
    volume={2}, 
    number={}, 
    pages={1166-1171}, 
    keywords={array signal processing;genetic algorithms;intelligent sensors;neural nets;optical sensors;position measurement;smart sensor;optical position sensor;genetic programming;optical measurement system;slit ray system;intelligent position sensor;neural network;relearning process;position detection;sensor array;Optical sensors;Intelligent sensors;Genetic programming;Sensor arrays;Optical arrays;Position measurement;Sensor systems;Neural networks;Semiconductor laser arrays;Intelligent networks;Position detection;Sensor array;Light spots;Genetic programming}, 
    doi={10.1109/IMTC.2005.1604328}, 
    ISSN={1091-5281}, 
    month={May},
}

@misc{cite:ledSensisngMatrix,
    author = {{Jesse T. Gonzalez}},
    title = {{The LED Sensing Matrix}},
    howpublished = {\url{http://jtgonz.com/led-sensing-matrix.html}},
    note = "[Online]",
}
